<mat-card >
    <mat-card-title>Orden</mat-card-title>
    <mat-card-content>
        <div class="content" role="main">
            <form [formGroup]="form">
                <div class="row">
                    <div class="col-md-6">
                       
                            <mat-form-field>
                               <input [matDatepicker]="fecha" matInput placeholder="Fecha" formControlName="fecha"/>
                                <mat-datepicker-toggle matSuffix [for]="fecha"></mat-datepicker-toggle>
                                <mat-datepicker #fecha></mat-datepicker>
                            </mat-form-field>
                        
                    </div>
                    <div class="col-md-6">
                        
                            <mat-form-field>
                                <input type="text"
                                    placeholder="Buscar cliente"
                                    aria-label="Cliente"
                                    matInput
                                    formControlName="cliente"
                                    [matAutocomplete]="auto">
                                <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
                                    <mat-option *ngFor="let option of filteredOptions | async" [value]="option">
                                        {{option.nombre}} {{option.apellido}}
                                    </mat-option>
                                </mat-autocomplete>
                            </mat-form-field>
                        
                    </div>
                </div>
            </form>
                <div class="row">
                    <div class="col-md-6">
                        
                        <mat-form-field>
                            <input type="text"
                                placeholder="Buscar articulo"
                                aria-label="Articulo"
                                matInput
                                [formControl] = "control"
                                [matAutocomplete]="autoArt">
                            <mat-autocomplete #autoArt="matAutocomplete" [displayWith]="displayFnArt">
                                <mat-option *ngFor="let optionArt of filteredArtOptions | async" [value]="optionArt">
                                    {{optionArt.nombre}}
                                </mat-option>
                            </mat-autocomplete>
                        </mat-form-field>
                        
                        <mat-form-field style="margin-left: 10%;">
                            <input matInput type="number" aria-label="Cantidad" [(ngModel)]="cantidad" placeholder="Cantidad">
                        </mat-form-field>
                        
                        <button mat-button class="btn btn-success" (click)="agregar()" style="margin-left: 10%;">
                            <mat-icon>add</mat-icon>
                            <mat-label>Agregar</mat-label>
                        </button>
                    
                </div>

                <mat-card-content>

                    <mat-table [dataSource]="dataSource">
                        <ng-container matColumnDef="codigo">
                            <mat-header-cell *matHeaderCellDef>C&oacute;digo</mat-header-cell>
                            <mat-cell *matCellDef="let ps">
                                {{ps.articulo.codigo}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="nombre">
                            <mat-header-cell *matHeaderCellDef>Nombre</mat-header-cell>
                            <mat-cell *matCellDef="let ps">
                                {{ps.articulo.nombre}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="precioUnitario">
                            <mat-header-cell *matHeaderCellDef>Precio</mat-header-cell>
                            <mat-cell *matCellDef="let ps">
                                {{ps.precioUnitario | number : '1.2-2'}}
                            </mat-cell>
                        </ng-container>
                        <ng-container matColumnDef="cantidad">
                            <mat-header-cell *matHeaderCellDef>Cantidad</mat-header-cell>
                            <mat-cell *matCellDef="let ps">
                                {{ps.cantidad}}
                            </mat-cell>
                        </ng-container>
                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                        <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
                    </mat-table>
                    
                    <mat-paginator #paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 15, 20]"></mat-paginator>
                
                </mat-card-content>

                <div style="text-align: center;">
                    <button mat-raised-button  color="primary" (click)="guardar()">Guardar</button>
                </div>

                </div>
        </div>
    </mat-card-content>
</mat-card>